# Position Heatmap

Get Positions Heatmap

`/api/external/positions/heatmap`

{% hint style="success" %}
**Unique to HyperTracker Users**

Not available via the standard Hyperliquid API
{% endhint %}

Returns the data behind the HyperTracker [Position Heatmap.](https://app.coinmarketman.com/hypertracker/heatmap)

For each coin, this provides a breakdown of positioning by trader cohort, including open interest, position counts, long/short exposure, and bias.

Data can be filtered by position age **(24h, 7d, 30d,** or **all)** to compare recent vs longer-term positioning.

<details>

<summary>Query Parameters</summary>

<table><thead><tr><th width="153.66796875">Parameter</th><th width="114.60546875">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>openedWithin</code></td><td><code>string</code></td><td>Filters positions by age. Options: <code>24h</code>, <code>7d</code>, <code>30d</code>, <code>all</code> (default: <code>all</code>)</td></tr></tbody></table>

</details>

Request Examples

{% tabs %}
{% tab title="Curl" %}

```
curl --request GET \
  --url 'https://ht-api.coinmarketman.com/api/external/positions/heatmap?openedWithin=24h' \
  --header 'Authorization: Bearer YOUR_API_TOKEN'
```

{% endtab %}

{% tab title="Python" %}

```
import requests

interval = '12h'
symbol = 'BTC'

response = requests.get(
    "https://ht-api.coinmarketman.com/api/external/positions/heatmap",
    headers={"Authorization": f"Bearer {KEY}"},
)

result = response.json()
```

{% endtab %}
{% endtabs %}

Response

> 200 Success: Returns an aggregated positional heatmap across coins and segments.

<details>

<summary>Response Example</summary>

{% code expandable="true" %}

```
{
  "heatmap": [
    {
      "coin": "BTC",
      "totalValue": 1243320305.98032,
      "totalLongValue": 621660152.99016,
      "totalShortValue": 621660152.99016,
      "count": 23755,
      "countLong": 12046,
      "countShort": 11709,
      "segments": [
        {
          "segmentId": 1,
          "coin": "BTC",
          "totalValue": 50578304.39256,
          "totalLongValue": 31057906.48644,
          "totalShortValue": 19520397.90612,
          "count": 10591,
          "countLong": 4453,
          "countShort": 6138,
          "bias": 0.614
        },
        {
          "segmentId": 2,
          "coin": "BTC",
          "totalValue": 82235872.88154,
          "totalLongValue": 51144361.7391,
          "totalShortValue": 31091511.14244,
          "count": 1980,
          "countLong": 977,
          "countShort": 1003,
          "bias": 0.622
        },
        {
          "segmentId": 3,
          "coin": "BTC",
          "totalValue": 53930470.0557,
          "totalLongValue": 33190292.6874,
          "totalShortValue": 20740177.3683,
          "count": 456,
          "countLong": 253,
          "countShort": 203,
          "bias": 0.615
        },
        {
          "segmentId": 4,
          "coin": "BTC",
          "totalValue": 218354840.14002,
          "totalLongValue": 113557349.3616,
          "totalShortValue": 104797490.77842002,
          "count": 629,
          "countLong": 333,
          "countShort": 296,
          "bias": 0.52
        },
        {
          "segmentId": 5,
          "coin": "BTC",
          "totalValue": 149753709.366,
          "totalLongValue": 55638746.9052,
          "totalShortValue": 94114962.46079999,
          "count": 136,
          "countLong": 66,
          "countShort": 70,
          "bias": 0.372
        },
        {
          "segmentId": 6,
          "coin": "BTC",
          "totalValue": 371389788.6864,
          "totalLongValue": 180054848.64,
          "totalShortValue": 191334940.0464,
          "count": 151,
          "countLong": 73,
          "countShort": 78,
          "bias": 0.485
        },
        {
          "segmentId": 7,
          "coin": "BTC",
          "totalValue": 313267677.67278,
          "totalLongValue": 154900258.9893,
          "totalShortValue": 158367418.68347996,
          "count": 51,
          "countLong": 26,
          "countShort": 25,
          "bias": 0.494
        },
        {
          "segmentId": 8,
          "coin": "BTC",
          "totalValue": 567511203.08982,
          "totalLongValue": 217591542.0555,
          "totalShortValue": 349919661.03432,
          "count": 171,
          "countLong": 56,
          "countShort": 115,
          "bias": 0.383
        },
        {
          "segmentId": 9,
          "coin": "BTC",
          "totalValue": 148321210.36548,
          "totalLongValue": 47414529.32316,
          "totalShortValue": 100906681.04232001,
          "count": 405,
          "countLong": 177,
          "countShort": 228,
          "bias": 0.32
        },
        {
          "segmentId": 10,
          "coin": "BTC",
          "totalValue": 69308011.59918,
          "totalLongValue": 30717534.0156,
          "totalShortValue": 38590477.58358,
          "count": 737,
          "countLong": 299,
          "countShort": 438,
          "bias": 0.443
        },
        {
          "segmentId": 11,
          "coin": "BTC",
          "totalValue": 32289017.87934,
          "totalLongValue": 15882832.30674,
          "totalShortValue": 16406185.5726,
          "count": 8415,
          "countLong": 2010,
          "countShort": 6405,
          "bias": 0.492
        },
        {
          "segmentId": 12,
          "coin": "BTC",
          "totalValue": 42878145.22326,
          "totalLongValue": 28929977.72274,
          "totalShortValue": 13948167.500520002,
          "count": 12124,
          "countLong": 8146,
          "countShort": 3978,
          "bias": 0.675
        },
        {
          "segmentId": 13,
          "coin": "BTC",
          "totalValue": 102777324.84714,
          "totalLongValue": 73056598.58082,
          "totalShortValue": 29720726.266320005,
          "count": 1403,
          "countLong": 1001,
          "countShort": 402,
          "bias": 0.711
        },
        {
          "segmentId": 14,
          "coin": "BTC",
          "totalValue": 148183814.83722,
          "totalLongValue": 97583811.33984,
          "totalShortValue": 50600003.49738002,
          "count": 421,
          "countLong": 296,
          "countShort": 125,
          "bias": 0.659
        },
        {
          "segmentId": 15,
          "coin": "BTC",
          "totalValue": 132049373.17764,
          "totalLongValue": 110481272.11506,
          "totalShortValue": 21568101.062580004,
          "count": 76,
          "countLong": 59,
          "countShort": 17,
          "bias": 0.837
        },
        {
          "segmentId": 16,
          "coin": "BTC",
          "totalValue": 3807437.82408,
          "totalLongValue": 2114332.65042,
          "totalShortValue": 1693105.1736600003,
          "count": 9758,
          "countLong": 5863,
          "countShort": 3895,
          "bias": 0.555
        }
      ]
    }
  ]
}
```

{% endcode %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coinmarketman.com/endpoints/position-heatmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
